Apache JMeter

## org.apache.jmeter.protocol.jms.sampler
Class MessageAdmin

    java.lang.Object
      org.apache.jmeter.protocol.jms.sampler.MessageAdmin

    public class MessageAdmin

extends Object

Administration of messages.

Method Summary
`javax.jms.Message` `get(String id)` Get the reply message.
`static MessageAdmin` `getAdmin()`
`void` `putReply(String id, javax.jms.Message reply)`
`void` `putRequest(String id, javax.jms.Message request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAdmin

    public static MessageAdmin getAdmin()

### putRequest

    public void putRequest(String id,
                           javax.jms.Message request)

  Parameters:
    `request` -

### putReply

    public void putReply(String id,
                         javax.jms.Message reply)

### get

    public javax.jms.Message get(String id)

  Get the reply message.

  Parameters:
    `id` - the id of the message
  Returns:
    the received message or `null`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.